Skip to main content
POST
/
api
/
live
/
inputs
Create a live input
curl --request POST \
  --url https://convertly.sh/api/live/inputs \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Live input",
  "recordMode": "automatic",
  "reconnectWindowSeconds": 60,
  "requireSignedPlayback": false,
  "allowedDomains": [
    "<string>"
  ]
}
'
{
  "liveInput": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "inputSlug": "<string>",
    "playbackId": "<string>",
    "enabled": true,
    "reconnectWindowSeconds": 123,
    "requireSignedPlayback": true,
    "allowedDomains": [
      "<string>"
    ],
    "streamKeyPrefix": "<string>",
    "ingest": {
      "rtmpUrl": "<string>",
      "srtUrl": "<string>",
      "obsServer": "<string>",
      "obsStreamKey": "<string>"
    },
    "playback": {
      "hlsUrl": "<string>",
      "webRtcUrl": "<string>",
      "playbackId": "<string>"
    },
    "lastStartedAt": "2023-11-07T05:31:56Z",
    "lastEndedAt": "2023-11-07T05:31:56Z",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  },
  "streamKey": "<string>"
}

Authorizations

Authorization
string
header
required

Dashboard-generated Convertly API key. Keys currently begin with cvly_.

Body

application/json
name
string
default:Live input
Maximum string length: 120
recordMode
enum<string>
default:automatic
Available options:
off,
automatic
reconnectWindowSeconds
integer
default:60
Required range: 0 <= x <= 600
requireSignedPlayback
boolean
default:false
allowedDomains
string[]
Maximum array length: 25

Response

Live input created

liveInput
object
streamKey
string

Returned only on creation or key rotation.